
#ifndef PrefResource_h_
#define PrefResource_h_


#define kDataGestaltSelector		'Smfr'


#pragma options align=mac68k


typedef Boolean (* InstallRoutineProcPtr)(void);
typedef OSErr (* SetupProcPtr)(void);

typedef struct TPrefsData
{
	double	thetaDelta;
	long		unused[10];
	
	// runtime only
	ADBServiceRoutineUPP	oldMouseServiceRoutine;		// saved ADB service routine
	ADBServiceRoutineUPP	myMouseServiceRoutine;		// new ADB service routine
	
	ADBInitUPP			oldADBInitProc;
	
	ADBDataBlock			mouseADBinfo;				//saved ADB info
	
	ADBInitProcPtr			adbInitProc;				// put here for convenience
	InstallRoutineProcPtr	installRoutineProc;
	
	SetupProcPtr			setupProc;				// main in our service routine fragment

	CFragConnectionID		serviceFragConnectionID;
} TPrefsData, *TPrefsDataPtr, **TPrefsDataHandle;

#pragma options align=reset


OSErr GetPrefsData(TPrefsData *outPrefsData);
OSErr SetPrefsData(const TPrefsData *prefsData);

#endif /* PrefResource_h_ */

